package com.ims.eval.service.impl;

import com.ims.eval.entity.EvaluationWarningRule;
import com.ims.eval.dao.EvaluationWarningRuleMapper;
import com.ims.eval.service.IEvaluationWarningRuleService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author wang
 * @since 2023-05-19
 */
@Service
public class EvaluationWarningRuleServiceImpl extends ServiceImpl<EvaluationWarningRuleMapper, EvaluationWarningRule> implements IEvaluationWarningRuleService {

	@Override
	public Map<String, Object> warningRuleList(String binSection, String ruleName) {
		Map<String, Object> map = baseMapper.selectWarningRule(binSection, ruleName);
		return map;
	}
}
