package com.ims.eval.service;

import com.ims.eval.entity.OrganizationEvaluationInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ims.eval.entity.dto.response.OrganizationEvaluationInfoResDTO;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 考评指标明细

 服务类
 * </p>
 *
 * @author wang
 * @since 2023-03-16
 */
public interface IOrganizationEvaluationInfoService extends IService<OrganizationEvaluationInfo> {

	Map finishValueList(String organizationEvaluationId, String dept, HttpServletRequest request);

	boolean saveBatchDto(List<OrganizationEvaluationInfo>  organizationEvaluationInfoList) throws Exception;


	//公司名 指标名 业务属性
	List<OrganizationEvaluationInfoResDTO> finishValueList(String organizationEvaluationId, String dept, String  organizationShortName, String indicatorName, String binSection, String isQuantified, HttpServletRequest request);


	boolean calculationByEvaluationId(String id ,String indicatorId,String organizationEvaluationId,String optionCode);
}
